AweInspired.classDefaultGCD = {
	["MAGE"] = 168,
	["WARLOCK"] = 687,
	["PRIEST"] = 585,
	["ROGUE"] = 1752,
	["DRUID"] = 5185,
	["HUNTER"] = 1130,
	["SHAMAN"] = 331,
	["WARRIOR"] = 772,
	["PALADIN"] = 21084,
	["DEATHKNIGHT"] = 47541,
};

--AweInspired.profileCounter = 8;

AweInspired.classDefaultBars = {
	["ArcMage"] = {
		cooldowns = {
			[1] = {
				name = "Arcane Power",
				spellID = 12042,
				barType = "cooldown",
				color = {r=0, g=0, b=0.5, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
			[2] = {
				name = "Icy Veins",
				spellID = 12472,
				barType = "cooldown",
				color = {r=0.15, g=0.45, b=0.95, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 1,
				stackNum = 0,
			},
			[3] = {
				name = "Presence of Mind",
				spellID = 12043,
				barType = "cooldown",
				color = {r=0.5, g=0.5, b=0.5, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 2,
				stackNum = 0,
			},
			[4] = {
				name = "Evocation",
				spellID = 12051,
				barType = "cooldown",
				color = {r=0.71, g=0.63, b=0.95, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 3,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "Missile Barrage",
				spellID = 54490,
				barType = "buff",
				color = {r=0.8, g=0.15, b=0.8, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
			[2] = {
				name = "Arcane Blast Stack",
				spellID = 36032,
				barType = "stack",
				color = {r=0.2, g=0, b=0.75, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 1,
				stackNum = 4,
			},
		},
	},
	["FireMage"] = {
		cooldowns = {
			[1] = {
				name = "Combustion",
				spellID = 11129,
				barType = "cooldown",
				color = {r=0.9, g=0.67, b=0.15, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
			[2] = {
				name = "Evocation",
				spellID = 12051,
				barType = "cooldown",
				color = {r=0.71, g=0.63, b=0.95, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 1,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "Imp Scorch",
				spellID = 22959,
				barType = "debuff", --debufftype
				color = {r=0.75, g=0.1, b=0.05, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
			[2] = {
				name = "Living Bomb",
				spellID = 55360,
				barType = "debuff",
				color = {r=0.8, g=0.4, b=0, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 1,
				stackNum = 0,
			},
			[3] = {
				name = "Hot Streak",
				spellID = 48108,
				barType = "buff",
				color = {r=0.65, g=0.32, b=0.18, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 2,
				stackNum = 0,
			},
		},
	},
	["FrostMage"] = {
		cooldowns = {
			[1] = {
				name = "Icy Veins",
				spellID = 12472,
				barType = "cooldown",
				color = {r=0.15, g=0.45, b=0.95, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
			[2] = {
				name = "Cold Snap",
				spellID = 11958,
				barType = "cooldown",
				color = {r=0, g=0, b=0.5, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 1,
				stackNum = 0,
			},
			[3] = {
				name = "Evocation",
				spellID = 12051,
				barType = "cooldown",
				color = {r=0.71, g=0.63, b=0.95, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 2,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "Deep Freeze",
				spellID = 44572,
				barType = "cooldown",
				color = {r=0.41, g=0.69, b=0.79, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
			[2] = {
				name = "Fingers of Frost",
				spellID = 44544,
				barType = "buff",
				color = {r=0.18, g=0.36, b=0.7, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 1,
				stackNum = 0,
			},
			[3] = {
				name = "Brain Freeze",
				spellID = 57761,
				barType = "buff",
				color = {r=0.49, g=0.43, b=0.68, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 2,
				stackNum = 0,
			},
		}
	},
	["AffLock"] = {
		cooldowns = {
		},
		spells = {
			[1] = {
				name = "Glyph of Life Tap",
				spellID = 63321,
				barType = "buff",
				color = {r=0.44, g=0.8, b=0.94, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
			[2] = {
				name = "Haunt",
				spellID = 59164,
				barType = "cooldown",
				color = {r=0.52, g=0.83, b=0.36, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 1,
				stackNum = 0,
			},
			[3] = {
				name = "Unstable Affliction",
				spellID = 47843,
				barType = "debuff",
				color = {r=0.45, g=0.07, b=0.53, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 2,
				stackNum = 0,
			},
			[4] = {
				name = "Curse of Agony",
				spellID = 47864,
				barType = "debuff",
				color = {r=0.74, g=0.2, b=0.02, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 3,
				stackNum = 0,
			},
			[5] = {
				name = "Shadows Embrace",
				spellID = 32391,
				barType = "debuff",
				color = {r=0.53, g=0.6, b=1, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 4,
				stackNum = 0,
			},
		},
	},
	["DemoLock"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["DestroLock"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["DiscPriest"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["HolyPriest"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["ShadowPriest"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["MutRogue"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["CombatRogue"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["SubRogue"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["MoonkinDruid"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["FeralBearDruid"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["FeralCatDruid"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["RestoDruid"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["BeastHunter"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["MarksHunter"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["SurvHunter"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["ElemShaman"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["EnhShaman"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["RestoShaman"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["ArmsWarrior"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["FuryWarrior"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["ProtWarrior"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["HolyPally"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["ProtPally"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["RetPally"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["BloodDPSdk"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["FrostDPSdk"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["UnholyDPSdk"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["BloodTankDk"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["FrostTankDk"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
	["UnholyTankDk"] = {
		cooldowns = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "hybrid",
				frameOffset = 0,
				stackNum = 0,
			},
		},
		spells = {
			[1] = {
				name = "NYI",
				spellID = 1,
				barType = "cooldown",
				color = {r=0.00, g=0.00, b=0.00, a=1},
				icon = true,
				longBar = "wait",
				frameOffset = 0,
				stackNum = 0,
			},
		},
	},
};
